org.apache.ignite.internal.util.offheap

## Enum GridOffHeapEvent

- java.lang.Object
- - java.lang.Enum<GridOffHeapEvent>
  - - org.apache.ignite.internal.util.offheap.GridOffHeapEvent

All Implemented Interfaces:
  Serializable, Comparable<GridOffHeapEvent>

    public enum GridOffHeapEvent
    extends Enum<GridOffHeapEvent>

Off-heap event types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOCATE` Memory allocate event.
`REHASH` Rehash event.
`RELEASE` Memory release event.

### Method Summary

Methods
`static GridOffHeapEvent` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridOffHeapEvent` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridOffHeapEvent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REHASH

    public static final GridOffHeapEvent REHASH

Rehash event.

#### ALLOCATE

    public static final GridOffHeapEvent ALLOCATE

Memory allocate event.

#### RELEASE

    public static final GridOffHeapEvent RELEASE

Memory release event.

### Method Detail

#### values

    public static GridOffHeapEvent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridOffHeapEvent c : GridOffHeapEvent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridOffHeapEvent valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridOffHeapEvent fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015